package exampler.fitlibrary;

import fit.Parse;

public class RowParse extends EditableParse {
    public RowParse() {
        super("tr", "");
    }

    public static RowParse fromCellString(String s) {
        Parse cell = new CellParse(s);
        RowParse row = new RowParse();
        row.addAsFirstCell(cell);
        return row;
    }

    public static RowParse fromCellStrings(String s, String s1) {
        RowParse row = RowParse.fromCellString(s);
        row.addAsLastCell(new CellParse(s1));
        return row;
    }

    public void addAsFirstCell(Parse cell) {
        addAsFirstChild(cell);
    }

    public void addAsFirstCell(String text) {
        addAsFirstChild(new CellParse(text));
    }

    public void addAsLastCell(Parse cell) {
        super.addAsLastChild(cell);
    }

    public void addAsLastCell(String text) {
        super.addAsLastChild(new CellParse(text));
    }

    public static RowParse fromStrings(String[] input) {
        RowParse retval = new RowParse();
        for (int i = 0; i < input.length; i++) {
            retval.addAsLastCell(input[i]);
        }
        return retval;
    }
}
