package exampler.fitlibrary;

import junit.framework.TestCase;

public class RowParseTests extends TestCase {
    public void testConstructingRowFromCell() {
        RowParse row = RowParse.fromCellString("foo");
        assertEquals("foo", row.parts.at(0).text());
    }

    public void testCanAddEitherAParseOrACell() {
        RowParse row = new RowParse();
        row.addAsFirstCell("b");
        row.addAsFirstCell(new CellParse("a"));
        row.addAsLastCell("c");
        row.addAsLastCell(new CellParse("d"));
    }

    public void testRowCanBeCreatedFromArrayValues() {
        String[] input = new String[] { "a", "b", "c"};
        RowParse actual = RowParse.fromStrings(input);
        assertEquals(3, actual.parts.size());
        assertEquals("a", actual.parts.at(0).text());
        assertEquals("b", actual.parts.at(1).text());
        assertEquals("c", actual.parts.at(2).text());
    }
}
