package exampler.fitlibrary;

import fit.Parse;
import fitlibrary.parse.Table;

public class TableParse extends EditableParse {
    public TableParse() {
        super("table", "");
    }

    public static TableParse fromArray(String[][] source) {

        TableParse table = new TableParse();
        for (int i = 0; i < source.length; i++) {
            RowParse row = new RowParse();
            table.addAsLastRow(row);
            for (int j = 0; j < source[i].length; j++) {
                String cell = source[i][j];
                row.addAsLastCell(new CellParse(cell));
            }
        }
        return table;
    }


    public void addAsFirstRow(Parse row) {
        addAsFirstChild(row);
    }

    public void addAsLastRow(Parse row) {
        addAsLastChild(row);
    }

    public RowParse row(int i) {
        return (RowParse) parts.at(i);
    }

    public int numRows() {
       return parts.size();
    }

    public void insertAfter(Table table) {
        Parse originalTable = table.parse;

        this.more = originalTable.more;
        originalTable.more = this;

        this.trailer = originalTable.trailer;
        originalTable.trailer = ""; // should be unneeded, but can't hurt
    }

}
